{{ define "input_code" }}
<div class="cell code">

``` {{ .Language }}
{{range .Source }}{{ . }}{{ end }}
```

{{- range .Outputs }}
{{- if eq .OutputType "execute_result"}}
<div class="output execute_result">

{{- range $data_type, $output_data := .Data}}
{{- if eq $data_type "text/plain" }}

{{range $output_data }}    {{ . }}{{end}}

{{- end}}
{{- end}}

</div>
{{- else if eq .OutputType "error"}}

<div class="output error">

{{range .Traceback }}{{ formatError . }}
{{end}}

</div>

{{- else if eq .OutputType "display_data"}}

<div class="output display_data">
{{- range $data_type, $output_data := .Data}}
{{- if hasPrefix $data_type "image/" }}

![](data:{{$data_type}};base64,{{$output_data}})

{{- end }}
{{- end}}

</div>

{{- end}}
{{- end }}

</div>
{{ end }}
